local Cryolysis2 = Cryolysis2

function Cryolysis2:CreateMounts()
	Cryolysis2.Mounts = 
	{
		-- [1] Frostwolf Howler Icon
		{ 
			19029 --"Horn of the Frostwolf Howler"
		},
		-- [2] Ram Icon
		{
			19030, --"Stormpike Battle Charger",
			13328, --"Black Ram",
			29467, --"Black War Ram",
			5872,  --"Brown Ram",
			13329, --"Frost Ram",
			5864,  --"Gray Ram",
			18786, --"Swift Brown Ram",
			18787, --"Swift Gray Ram",
			18785, --"Swift White Ram",
			5873,  --"White Ram",
			33976, --"Brewfest Ram",
			33977 --"Swift Brewfest Ram"
		}, 
		-- [3] Raptor Icon
		{
			19872, --"Swift Razzashi Raptor",
			18788, --"Swift Blue Raptor",
			18789, --"Swift Olive Raptor",
			18790, --"Swift Orange Raptor",
			29472, --"Whistle of the Black War Raptor",
			8588,  --"Whistle of the Emerald Raptor",
			13317, --"Whistle of the Ivory Raptor",
			8586,  --"Whistle of the Mottled Red Raptor",
			8591,  --"Whistle of the Turquoise Raptor",
			8592  --"Whistle of the Violet Raptor"
		}, 
		-- [4] Yellow Tiger Icon
		{
			19902 --"Swift Zulian Tiger"
		}, 
		-- [5] Undead Horse Icon
		{
			13335, --"Deathcharger's Reins",
			13332, --"Blue Skeletal Horse",
			--"Blue Skeletal Warhorse",
			13333, --"Brown Skeletal Horse",
			13334, --"Green Skeletal Warhorse",
			18791, --"Purple Skeletal Warhorse",
			13331, --"Red Skeletal Horse",
			29470 --"Red Skeletal Warhorse"
		}, 
		-- [6] Mechanostrider Icon
		{
			29465, --"Black Battlestrider",
			8595, --"Blue Mechanostrider",
			13321, --"Green Mechanostrider",
			13327, --"Icy Blue Mechanostrider Mod A",
			8563, --"Red Mechanostrider",
			18772, --"Swift Green Mechanostrider",
			18773, --"Swift White Mechanostrider",
			18774, --"Swift Yellow Mechanostrider",
			13322, --"Unpainted Mechanostrider",
			13326 --"White Mechanostrider Mod A"
		}, 
		-- [7] Brown Horse Icon
		{
			2411, --"Black Stallion Bridle",
			5656, --"Brown Horse Bridle",
			5655, --"Chestnut Mare Bridle",
			12354, --"Palomino Bridle",
			2414, --"Pinto Bridle",
			18777, --"Swift Brown Steed",
			18776, --"Swift Palomino",
			18778, --"Swift White Steed",
			12353 --"White Stallion Bridle"
		}, 
		-- [8] Brown Kodo Icon
		{
			29466, --"Black War Kodo",
			15290, --"Brown Kodo",
			18794 --"Great Brown Kodo"
		}, 
		-- [9] War Steed Icon
		{
			29468 --"Black War Steed Bridle"
		}, 
		-- [10] Gray Kodo Icon
		{
			15277, --"Gray Kodo",
			18795, --"Great Gray Kodo",
			18793 --"Great White Kodo"
		}, 
		-- [11] Green Kodo Icon
		{
			15292, --"Green Kodo",
			15293 --"Teal Kodo"
		}, 
		-- [12] White Wolf Icon
		{
			12351, --"Horn of the Arctic Wolf",
			5665, --"Horn of the Dire Wolf",
			18798, --"Horn of the Swift Gray Wolf",
			18797 --"Horn of the Swift Timber Wolf"
		},
		-- [13] Black Wolf Icon
		{
			29469, --"Horn of the Black War Wolf",
			5668, --"Horn of the Brown Wolf",
			12330, --"Horn of the Red Wolf",
			18796, --"Horn of the Swift Brown Wolf",
			1132 --"Horn of the Timber Wolf"
		},
		-- [14] Black Tiger Icon
		{
			29471, --"Reins of the Black War Tiger",
			8629 --"Reins of the Striped Nightsaber"
		},
		-- [15] White Tiger Icon
		{
			12302, --"Reins of the Frostsaber",
			12303, --"Reins of the Nightsaber",
			8632, --"Reins of the Spotted Frostsaber",
			8631, --"Reins of the Striped Frostsaber",
			18766, --"Reins of the Swift Frostsaber",
			18767, --"Reins of the Swift Mistsaber",
			18902, --"Reins of the Swift Stormsaber"
		}, 
		-- [16] Red Tiger Icon
		{
			13086 --"Reins of the Winterspring Frostsaber"
		}, 
		-- [17] Black Qiraji Resonating Crystal
		{
			21176 --"Black Qiraji Resonating Crystal"
		}, 
		-- [18] Talbuk Icon
		{
			28915, --"Reins of the Dark Riding Talbuk"
            29228, --"Reins of the Dark War Talbuk",
			31829, 31830, --"Reins of the Cobalt Riding Talbuk",
			29105, 29227, --"Reins of the Cobalt War Talbuk",
			29104, 29229, --"Reins of the Silver War Talbuk",
			31831, 31832, --"Reins of the Silver Riding Talbuk",
			31833, 31834, --"Reins of the Tan Riding Talbuk",
			29105, 29230, --"Reins of the Tan War Talbuk",
			31835, 31836, --"Reins of the White Riding Talbuk",
			29103, 29231 --"Reins of the White War Talbuk"
		}, 
		-- [19] Brown Elekk Icon
		{
			28481 --"Brown Elekk"
		}, 
		-- [20] Gray Elekk Icon
		{
			29744 --"Gray Elekk"
		}, 
		-- [21] Purple Elekk Icon
		{
			29743 --"Purple Elekk"
		}, 
		-- [22] Great Blue Elekk Icon
		{
			29745 --"Great Blue Elekk"
		}, 
		-- [23] Great Green Elekk Icon
		{
			29746 --"Great Green Elekk"
		}, 
		-- [24] Great Purple Elekk Icon
		{
			29747 --"Great Purple Elekk"
		}, 
		-- [24] Reins of the Black War Elekk Icon
		{
			35906 --"Reins of the Black War Elekk"
		}, 
		-- [25] Hawkstrider Icon
		{
			29221 --"Black Hawkstrider"
		}, 
		-- [26] Hawkstrider Icon
		{
			29220 --"Blue Hawkstrider"
		}, 
		-- [27] Hawkstrider Icon
		{
			29222 --"Purple Hawkstrider"
		}, 
		-- [28] Hawkstrider Icon
		{
			28927 --"Red Hawkstrider"
		}, 
		-- [29] Hawkstrider Icon
		{
			29223, --"Swift Green Hawkstrider", 
            35513 --"Swift White Hawkstrider"
		}, 
		-- [30] Hawkstrider Icon
		{
			28936 --"Swift Pink Hawkstrider"
		}, 
		-- [31] Hawkstrider Icon
		{
			29224 --"Swift Purple Hawkstrider"
		}, 
		-- [32] Fiery Warhorse Icon
		{
			30480 --"Fiery Warhorse's Reins"
		}, 
		-- [33] Broom Icon
		{
			33183, --"Magic Broom",
			33184 --"Swift Magic Broom"
		}, 
		-- [34] Bear Icon
		{
			33809 --"Amani War Bear"
		}, 
		-- [35] Warstrider Icon
		{
			34129 --"Swift Warstrider"
		}, 
		-- [36] Raven Lord Icon
		{
			32768 --"Reins of the Raven Lord"
		}, 
		-- [1] Gryphon Icon
		{
			25471, --"Ebon Gryphon",
			25470, --"Golden Gryphon",
			25472, --"Snowy Gryphon",
			25528, --"Swift Green Gryphon",
			25527, --"Swift Red Gryphon",
			25529, --"Swift Purple Gryphon",
			25473 --"Swift Blue Gryphon"
		}, 
		-- [2] Windrider Icon
		{
			25475, --"Blue Windrider",
			25476, --"Green Windrider",
			25474, --"Tawny Windrider",
			25531, --"Swift Green Windrider",
			25533, --"Swift Purple Windrider",
			25477, --"Swift Red Windrider",
			25532 --"Swift Yellow Windrider"
		}, 
		-- [3] Netherwing Drake Icon
		{
			32858, --"Reins of the Azure Netherwing Drake",
			32859, --"Reins of the Cobalt Netherwing Drake",
			32857, --"Reins of the Onyx Netherwing Drake",
			32860, --"Reins of the Purple Netherwing Drake",
			32861, --"Reins of the Veridian Netherwing Drake",
			32862 --"Reins of the Violet Netherwing Drake"
		}, 
		-- [4] Swift Nether Drake Icon
		{
			30609, --"Swift Nether Drake"
            34092 --"Merciless Nether Drake"
		}, 
		-- [5] Riding Nether Ray Icon
		{
			32319, --"Blue Riding Nether Ray",
			32314, --"Green Riding Nether Ray",
			32316, --"Purple Riding Nether Ray",
			32317, --"Red Riding Nether Ray",
			32318 --"Silver Riding Nether Ray"
		}, 
		-- [6] Broom Icon
		{
			33176, --"Flying Broom",
			33182 --"Swift Flying Broom"
		}, 
		-- [7] Flying Machine Icon (Non-epic)
		{
			34060 --"Flying Machine Control"
		}, 
		-- [8] Flying Machine Icon (Epic)
		{
			34061 --"Turbo-Charged Flying Machine Control"
		}, 
		-- [9] Cenarion Hippogryoh Icon
		{
			33999 --"Cenarion War Hippogryph"
		}, 
		-- [10] Alar Mount Icon
		{
			32458 --"Ashes of Al'ar"
		}, 
        -- [11] Blue Rocket Mount Icon
        {
            35225 --"X-51 Nether-Rocket"
        },
        -- [12] Red Rocket Mount Icon
        {
            35226 --"X-51 Nether-Rocket X-TREME"
        },
	}
end